List all plugin manifests

View as Markdown

Admin clients may view all plugin manifests; all other simulator engine developers can view and edit plugin manifests in an organization they are a member of.

Required scope: air:manifest_read (roles: air_simengine_debugger, air_simengine_developer)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

emulation_typestringOptional
Filter by the emulation type.
idstringOptionalformat: "uuid"
Filter by the UUID of the plugin manifest.
limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingenumOptional

Order objects by field. Prefix with - for descending order.

searchstringOptional

Search by id, emulation_type, or simulator_image_name.

simulator_imagestringOptionalformat: "uuid"
Filter by the UUID of the simulator image the manifest uses.

Response

countinteger
resultslist of objects
nextstring or nullOptionalformat: "uri"
previousstring or nullOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error